GNU bug report logs - #35659
26.1; Weird horizontal scroll behavior with certain settings for `auto-hscroll-mode' and `hscroll-step`.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: clemera <clemera@HIDDEN>; Keywords: notabug; dated Thu, 9 May 2019 19:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) notabug. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35659 <at> debbugs.gnu.org:


Received: (at 35659) by debbugs.gnu.org; 10 May 2019 07:15:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 03:15:03 2019
Received: from localhost ([127.0.0.1]:36987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOzkE-0007fh-Fk
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 03:15:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1hOzkC-0007f5-43; Fri, 10 May 2019 03:15:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57466)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hOzk5-0000Vo-Sx; Fri, 10 May 2019 03:14:53 -0400
Received: from [176.228.60.248] (port=2462 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hOzk5-00047s-DH; Fri, 10 May 2019 03:14:53 -0400
Date: Fri, 10 May 2019 10:14:45 +0300
Message-Id: <83r296g4re.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: clemera <clemera@HIDDEN>
In-reply-to: <623e30c5-1bef-46c7-06fb-4d087e1a4153@HIDDEN> (message from
 clemera on Thu, 9 May 2019 21:15:26 +0200)
Subject: Re: bug#35659: 26.1;
 Weird horizontal scroll behavior with certain settings for
 `auto-hscroll-mode' and `hscroll-step`.
References: <623e30c5-1bef-46c7-06fb-4d087e1a4153@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35659
Cc: 35659 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 35659 notabug
thanks

> From: clemera <clemera@HIDDEN>
> Date: Thu, 9 May 2019 21:15:26 +0200
> 
> After starting emacs -Q I set the following settings by evaluating them in *scratch*:
> 
> (setq auto-hscroll-mode 'current-line
>       hscroll-step 1
>       truncate-lines t)
> 
> Now after adding a long line right after the above code block (which exceeds the frame width)
> go to the end of the long line. The line scrolls as expected but when you go from there to the lines above, those get
> pushed to the left. I have recorded a gif which shows the described behavior:
> 
> https://imgur.com/a/lJYo4Od

This is the normal behavior of C-n and C-p (UP and DOWN arrow keys):
they try to move into the same column of the next/previous line as the
one of the line you started with.  The rationale is to allow you to
see the same horizontal region in the lines through which you
traverse.  Neither auto-hscroll-mode nor the current-line hscrolling
feature change that basic behavior.

If we were to disable this feature, typing C-n followed by C-p would
not return you back to the same column; you'd need to manually go to
the original column instead.  That'd be an annoyance, I think, as it
would effectively throw away your hscroll each time you move to
another line.

So I don't think there's a bug here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35659; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 May 2019 19:58:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 09 15:58:28 2019
Received: from localhost ([127.0.0.1]:36512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOpBT-00065I-8W
	for submit <at> debbugs.gnu.org; Thu, 09 May 2019 15:58:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clemera@HIDDEN>) id 1hOoW6-00052y-DX
 for submit <at> debbugs.gnu.org; Thu, 09 May 2019 15:15:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:46777)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clemera@HIDDEN>) id 1hOoW1-0005Sd-8W
 for submit <at> debbugs.gnu.org; Thu, 09 May 2019 15:15:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51989)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clemera@HIDDEN>) id 1hOoVz-0002N4-Qv
 for bug-gnu-emacs@HIDDEN; Thu, 09 May 2019 15:15:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clemera@HIDDEN>) id 1hOoVy-0005RZ-GL
 for bug-gnu-emacs@HIDDEN; Thu, 09 May 2019 15:15:35 -0400
Received: from mout02.posteo.de ([185.67.36.66]:47143)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clemera@HIDDEN>) id 1hOoVx-0005Qv-Qi
 for bug-gnu-emacs@HIDDEN; Thu, 09 May 2019 15:15:34 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 760E32400FD
 for <bug-gnu-emacs@HIDDEN>; Thu,  9 May 2019 21:15:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1557429331; bh=mawKNHxWjd0KHo9+/IwOehzFXW+W4e0SQDH7bslEQSs=;
 h=To:From:Subject:Date:From;
 b=eETLpKVWQonuB6ZE7pdQsfx9mCLvkaj+y+vGCW2I0jN7lDj+0WTRw7VwvqSq/C7vB
 rc65w9xzkV6zz/pRWYXI6WZr8Sfvgl2v1s6YCqfryg7tmbQaSZII90vd6UBEPPwtgY
 /vPHsON5JHG8Xk4TJwtaJN6X6XOqjfc6g02o9iyZBYgWv68mJNMwtb3KB+zOZ3lrSz
 C766+BOouCwP8xeyd5Rf9bDqD9ZDv+boGpHOedROt7XoqkYsI3PFcf1Lkt3nFjGMnf
 wLuj7JberafJVFjhbjKWvFxHCu8TgDdLlg6l0gsFDfLRxwHwxFJkv0xK3XiHtG60H7
 yaN2sQ7zYeVdg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 450NMz3y0sz9rxY
 for <bug-gnu-emacs@HIDDEN>; Thu,  9 May 2019 21:15:27 +0200 (CEST)
X-Mozilla-News-Host: news://news.gwene.org:119
To: bug-gnu-emacs@HIDDEN
From: clemera <clemera@HIDDEN>
Subject: 26.1; Weird horizontal scroll behavior with certain settings for
 `auto-hscroll-mode' and `hscroll-step`.
Message-ID: <623e30c5-1bef-46c7-06fb-4d087e1a4153@HIDDEN>
Date: Thu, 9 May 2019 21:15:26 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.66
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 09 May 2019 15:58:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello,

After starting emacs -Q I set the following settings by evaluating them in *scratch*:

(setq auto-hscroll-mode 'current-line
      hscroll-step 1
      truncate-lines t)

Now after adding a long line right after the above code block (which exceeds the frame width)
go to the end of the long line. The line scrolls as expected but when you go from there to the lines above, those get
pushed to the left. I have recorded a gif which shows the described behavior:

https://imgur.com/a/lJYo4Od


In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2019-01-03 built on clemera
Repository revision: ab525dd6b1c57cee7f26700f9656bb6c76a8ceba
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Ubuntu 18.04.2 LTS

Recent messages:
Making completion list...
nil
t
Mark set [17 times]
funcall-interactively: End of buffer [7 times]
Quit
user-error: Beginning of history; no preceding item
Quit [3 times]
nil
t
Quit
Configured using:
 'configure --with-xft --with-x-toolkit=gtk3 --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES THREADS LCMS2

Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 98229 13360)
 (symbols 48 20364 1)
 (miscs 40 78 244)
 (strings 32 28371 1265)
 (string-bytes 1 747151)
 (vectors 16 14656)
 (vector-slots 8 497062 7570)
 (floats 8 50 298)
 (intervals 56 551 9)
 (buffers 992 12))




Acknowledgement sent to clemera <clemera@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35659; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 10 May 2019 07:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.